Macaulay2 » Documentation
Packages » OIGroebnerBases » net(FreeOIModuleMap)
next | previous | forward | backward | up | index | toc

# net(FreeOIModuleMap) -- display a free OI-module map source and target

- Function: net
- Usage:
    `net phi`
- Inputs:
  - phi, an instance of the type FreeOIModuleMap,
- Outputs:
  - a net,

## Description

Displays the source module and target module a free OI-module map.

    i1 : P = makePolynomialOIAlgebra(2, x, QQ);

    i2 : F = makeFreeOIModule(e, {1,2}, P);

    i3 : installGeneratorsInWidth(F, 3);

    i4 : b = x_(1,2)*x_(1,1)*e_(3,{2},1)+x_(2,2)*x_(2,1)*e_(3,{1,3},2);

    i5 : C = oiRes({b}, 2);

    i6 : phi = C.dd_1;

    i7 : net phi

    o7 = Source: (e1, {5, 5}, {-4, -3}) Target: (e0, {3}, {-2})

## Ways to use this method:

- net(FreeOIModuleMap) -- display a free OI-module map source and target

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/OIGroebnerBases.m2:1931:0.